package domain

type AlibabaHmMarketingItempoolDeleteactivityCommonActivityParam struct {
	/*
	   五道口活动id     */
	ActivityId *int64 `json:"activity_id,omitempty" `

	/*
	   商家的活动id     */
	OutActId *string `json:"out_act_id,omitempty" `

	/*
	   是否自定义渠道配置 defalutValue:false    */
	ByChannel *bool `json:"by_channel,omitempty" `

	/*
	   自定义同步渠道配置     */
	ChannelConfigList *[]AlibabaHmMarketingItempoolDeleteactivityChannelConfig `json:"channel_config_list,omitempty" `
}

func (s *AlibabaHmMarketingItempoolDeleteactivityCommonActivityParam) SetActivityId(v int64) *AlibabaHmMarketingItempoolDeleteactivityCommonActivityParam {
	s.ActivityId = &v
	return s
}
func (s *AlibabaHmMarketingItempoolDeleteactivityCommonActivityParam) SetOutActId(v string) *AlibabaHmMarketingItempoolDeleteactivityCommonActivityParam {
	s.OutActId = &v
	return s
}
func (s *AlibabaHmMarketingItempoolDeleteactivityCommonActivityParam) SetByChannel(v bool) *AlibabaHmMarketingItempoolDeleteactivityCommonActivityParam {
	s.ByChannel = &v
	return s
}
func (s *AlibabaHmMarketingItempoolDeleteactivityCommonActivityParam) SetChannelConfigList(v []AlibabaHmMarketingItempoolDeleteactivityChannelConfig) *AlibabaHmMarketingItempoolDeleteactivityCommonActivityParam {
	s.ChannelConfigList = &v
	return s
}
